Create a note

POST /api/v1/notes

Create a new note for the current business.

Operation ID: create_note_api_v1_notes_post · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Request body

title string
body string

Responses

201 Successful Response

id string required
title string required
body string
pinned boolean
author_id string required
author_name string
author_email string
created_at string · date-time required
updated_at string · date-time required
attachments array · AttachmentResponse AttachmentResponse
7 fields
id string required
note_id string required
file_name string required
file_size integer required
mime_type string required
uploaded_by string required
created_at string · date-time required

400 Bad Request - Invalid input

401 Unauthorized - Authentication required

403 Forbidden - Insufficient permissions

422 Validation Error

detail array · ValidationError ValidationError
5 fields
loc array · string | integer required
msg string required
type string required
input object
ctx object